%define major		0
%define libname		%mklibname aacs %{major}
%define devname		%mklibname aacs -d

Name:		libaacs
Version:	0.10.0
Release:	%mkrel 1
Summary:	Open implementation of the Advanced Access Content System specification
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.videolan.org/developers/libaacs.html
Source0:	ftp://ftp.videolan.org/pub/videolan/libaacs/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	libgcrypt-devel >= 1.6
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	flex

%description
libaacs is a research project to implement
the Advanced Access Content System specification.
This research project provides, through an open-source
library, a way to understand how the AACS works.

%package -n	%{libname}
Summary:	libaacs libraries files
Group:		System/Libraries

%description -n %{libname}
Libraries files for %{name}.

%package -n	%{devname}
Summary:	libaacs development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	aacs-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%prep
%setup -q

sed -i -e 's/\r//' KEYDB.cfg

%build
%configure \
		--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc ChangeLog COPYING KEYDB.cfg README.txt
%{_bindir}/aacs_info

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Jul 14 2020 daviddavid <daviddavid> 0.10.0-1.mga8
+ Revision: 1606043
- new version: 0.10.0

* Thu Feb 13 2020 umeabot <umeabot> 0.9.0-3.mga8
+ Revision: 1513890
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1298745
- Mageia 7 Mass Rebuild

* Tue Jul 18 2017 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1124831
- new version: 0.9.0
- use new rpm macros

* Thu Feb 11 2016 umeabot <umeabot> 0.8.1-2.mga6
+ Revision: 955284
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 daviddavid <daviddavid> 0.8.1-1.mga6
+ Revision: 835809
- new version: 0.8.1

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-3.mga5
+ Revision: 744781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-2.mga5
+ Revision: 681316
- Mageia 5 Mass Rebuild

* Wed Jun 11 2014 daviddavid <daviddavid> 0.7.1-1.mga5
+ Revision: 635674
- new version: 0.7.1

* Thu May 08 2014 daviddavid <daviddavid> 0.7.0-2.mga5
+ Revision: 621115
- fix incorrect Obsoletes typo (x86_64 static devel package was not removed)

* Mon May 05 2014 daviddavid <daviddavid> 0.7.0-1.mga5
+ Revision: 620244
- disable unneeded static package
- obsoleted package libaacs-static-devel
- remove unneeded bison_2.6.patch
- move binary file on main package
- add docs on main package
- update URL
- new version: 0.7.0

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 506917
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 356783
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 23 2012 fedya <fedya> 0.5.0-1.mga3
+ Revision: 283266
- description is not very descriptive
- imported package libaacs

